All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
pruio_adc.bi File Reference

FreeBASIC header file for ADC component of libpruio. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | AdcSteps
| Structure for a single ADC step configuration, containing config and delay registers context. More...
class | AdcSet
| Structure for ADC subsystem registers. More...
class | AdcUdt
| Structure for ADC subsystem features, containing all functions and variables to handle the subsystem. More...

## Macros

#define | PRUIO_DEF_AVRAGE /* 4 */
| The default setting for avaraging.
#define | PRUIO_DEF_ODELAY /* 183 */
| The default value for open delay in channel settings.
#define | PRUIO_DEF_SDELAY /* 0 */
| The default value for sample delay in channel settings.
#define | PRUIO_DEF_SAMPLS /* 1 */
| The default number of samples to use (configures single mode).
#define | PRUIO_DEF_STPMSK /* &b111111110 */
| The default step mask (steps 1 to 8 for AIN-0 to AIN-7, no charge step).
#define | PRUIO_DEF_TIMERV /* 0 */
| The default timer value (sampling rate).
#define | PRUIO_DEF_LSLMOD /* 4 */
| The default bit mode (4 = 16 bit encoding).
#define | PRUIO_DEF_CLKDIV /* 0 */
| The default clock divisor (0 = full speed AFE = 2.4 MHz).

## Detailed Description

FreeBASIC header file for ADC component of libpruio.

Header file for including in to libpruio. It contains the declarations for the ADC part of the library.

Definition in file pruio_adc.bi.